=== modified file 'lib/lp/testing/__init__.py'
--- lib/lp/testing/__init__.py	2010-08-24 17:07:09 +0000
+++ lib/lp/testing/__init__.py	2010-08-24 17:11:12 +0000
@@ -50,7 +50,6 @@
     ]
 
 from contextlib import contextmanager
-from cStringIO import StringIO
 from datetime import (
     datetime,
     timedelta,
@@ -86,6 +85,8 @@
     )
 import subunit
 import testtools
+from testtools.content import Content
+from testtools.content_type import UTF8_TEXT
 import transaction
 # zope.exception demands more of frame objects than twisted.python.failure
 # provides in its fake frames.  This is enough to make it work with them
@@ -442,11 +443,8 @@
 
     def attachOopses(self):
         if len(self.oopses) > 0:
-            content_type = testtools.content_type.ContentType(
-                "text", "plain", {"charset": "utf8"})
             for (i, oops) in enumerate(self.oopses):
-                content = testtools.content.Content(
-                    content_type, oops.get_chunks)
+                content = Content(UTF8_TEXT, oops.get_chunks)
                 self.addDetail("oops-%d" % i, content)
 
     def setUp(self):

=== modified file 'lib/lp/testing/matchers.py'
--- lib/lp/testing/matchers.py	2010-08-20 20:31:18 +0000
+++ lib/lp/testing/matchers.py	2010-08-24 17:11:12 +0000
@@ -15,7 +15,7 @@
     ]
 
 from testtools.content import Content
-from testtools.content_type import ContentType
+from testtools.content_type import UTF8_TEXT
 from testtools.matchers import (
     Matcher,
     Mismatch,
@@ -137,8 +137,7 @@
         result = []
         for query in self.query_collector.queries:
             result.append(unicode(query).encode('utf8'))
-        return {'queries': Content(ContentType('text', 'plain',
-            {'charset': 'utf8'}), lambda:['\n'.join(result)])}
+        return {'queries': Content(UTF8_TEXT, lambda:['\n'.join(result)])}
  
 
 class IsNotProxied(Mismatch):

